// pages/mine/wxml/biddersrecord/biddersrecord.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    col:"#fb752c",
    dishide:"none",
    biddersrecordloop: [1,2],
    array: [], 
    newarray :[],
    prodUrl:app.globalData.prodUrl
  },
  show: function () {
    this.setData({
      col: "#fb752c",
      cols: "#000",
      disshow: "block",
      dishide: "none"
    })
  },
  hide: function () {
    this.setData({
      col:"#000",
      cols:"#fb752c",
      disshow: "none",
      dishide: "block"
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var _this = this;
    wx.request({
      url: app.globalData.prodUrl + 'web-pm/wx/pm/get_bidding',
      header: {
        'ydw-token': wx.getStorageSync('key').ydw_token
      },
      success: function (data) {
        console.log(data)
        _this.setData({
          newarray : data.data.data
        })
      }
    });
    wx.getStorage({
      key: 'key',
      success: function(cookies) {
        wx.request({
          url: app.globalData.prodUrl + 'web-pm/wx/pm/get_bidderinfo',
          header: {
            'ydw-token': cookies.data.ydw_token
          },
          success: function (data) {
            _this.setData({
              array: data.data.data
            })
          }
        });
      }
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
  
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
  
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
  
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
  
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  
  }

  
})